<?php
/**
 *
 * @since	  1.0.0
 * @package	hayya
 * @subpackage hayya/includes
 * @author	 zintaThemes <>
 *
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }


class HayyaThemeComments
{

	/**
	 *
	 * @access		public
	 * @since		1.0.0
	 * @var			unown
	 */
	public function __construct() {} // End __construct()

	/**
	 *
	 * @access		public
	 * @since		1.0.0
	 * @var			unown
	 */
	public static function pagination() {
		global $wp_query;
		$max_pages = $wp_query->max_num_pages;

		if( get_option('permalink_structure') ) {
			 $format = '&paged=%#%';
		} else {
			 $format = 'page/%#%/';
		}

		$pages = paginate_comments_links( array(
			// 'base' 				=> str_replace( $max_pages, '%#%', esc_url( get_pagenum_link( $max_pages ) ) ),
			// 'base' 				=> user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' ),
			// 'format' 			=> $format,
			// 'current' 			=> max( 1, get_query_var('paged') ),
			// 'show_all'		   => false,
			// 'end_size'		   => 2,
			// 'mid_size'		   => 2,
			'prev_next'		  => false,
			'type'			   => 'array',
			// 'add_args'		   => true,
			// 'before_page_number' => '',
			// 'after_page_number'  => '',
			'echo' 				=> false,
		) );
		// print_r($pages);
		if ( is_array( $pages ) && ! empty( $pages ) ) {
			if ( ! is_rtl() ) {
				$chevron1 = '<i class="material-icons">chevron_left</i>';
				$chevron2 = '<i class="material-icons">chevron_right</i>';
			}  else {
				$chevron1 = '<i class="material-icons">chevron_right</i>';
				$chevron2 = '<i class="material-icons">chevron_left</i>';
			}
			echo '<div class="center">';
			// echo '<hr/>';
			echo '<div class="hb_separator separator-mask"><div class="left-separator"></div><div class="right-separator"></div></div>';
			echo '<ul class="pagination">';
			echo ( $previous = get_previous_comments_link( $chevron1 ) ) ? '<li class="prev waves-effect">' . wp_kses_post( $previous ) . '</li>' : '<li class="prev disabled">' . wp_kses_post( $chevron1 ) . '</li>';
			echo '<li class=" pages"><ul>';
			foreach( $pages as $k => $v ) {
				echo '<li class="waves-effect">' . wp_kses_post( $v ) . '</li>';
			}
			echo '</li></ul>';
			echo ( $next = get_next_comments_link( $chevron2 ) ) ? '<li class="next waves-effect">' . wp_kses_post( $next ).'</li>' : '<li class="next disabled">' . wp_kses_post( $chevron2 ) . '</li>';
			echo '</ul>';
			echo '</div>';
		}
	}

	/**
	 *
	 * @access		public
	 * @since		1.0.0
	 * @var			unown
	 */
	public static function comments( $args = null, $args2 = null, $args3 = null ) {
		if ( null === $args ) {
			$commenter = wp_get_current_commenter();
			$req = get_option( 'require_name_email' );
			$aria_req = ( $req ? " aria-required='true'" : '' );

			$fields = array(

				'author' =>
					'<br/><div class="row">
						<div class="col s4 input-field">
							<i class="material-icons prefix second-color-text">account_box</i>
							<input id="author" name="author" type="text" class="validate" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' />
							<label for="author">
							' . __( 'Name', 'hayya' ) .
							( $req ? ' <span class="required">*</span>' : '' ) . '
							</label>
						</div>',

				'email' =>
					'<div class="col s4 input-field">
						<i class="material-icons prefix second-color-text">email</i>
						<input id="email" name="email" type="email" class="validate" value="' . esc_attr( $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' />
						<label for="email">
						' . __( 'Email', 'hayya' ) .
						( $req ? ' <span class="required">*</span>' : '' ) . '
						</label>
					</div>',

				'url' =>
					'<div class="col s4 input-field">
						<i class="material-icons prefix second-color-text">email</i>
						<input id="url" name="url" type="url" class="validate" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" />
						<label for="url">' . __( 'Website', 'hayya' ) . '</label>
					</div></div>',
			);

			$comment_field =
					'<div class="row">
						<div class="col s12">
							<div class="input-field">
								<i class="material-icons prefix second-color-text">insert_comment</i>
								<textarea id="comment" name="comment" cols="45" rows="8" aria-required="true" class="validate materialize-textarea"></textarea>
								<label for="comment">' .
								__( 'Comment', 'hayya' ) . '
									<span class="required">*</span>
								</label>
							</div>
						</div>
					</div>';

			$args = array(
				'fields' => $fields,
				'comment_field' => $comment_field,
				'class_submit' => 'btn',
			);

			return comment_form( $args );

		} else {

			$comment_link = get_comment_link();
			$date = get_comment_date();
			$time = get_comment_time();

			$comment_approved = ( $args->comment_approved == '0' ) ? '<div class="center-align red lighten-3 white-text"><em>' . __( 'Your comment is awaiting moderation.', 'hayya' ) . '</em></div>' : '';

			$edit_comment = ( get_edit_comment_link() ) ? '<span class="edit-link"><a class="comment-edit-link" href="' . get_edit_comment_link() . '">' . __('Edit', 'hayya') . '</a></span>' : '';

			global $comment_depth;

			$depth = ( $comment_depth > 1 ) ? $comment_depth : '1';

			$comment_class = get_comment_class();

			$classes = '';
			if ( ! empty( $comment_class ) ) {
				foreach ( $comment_class as $key => $value ) {
					$classes .= ' ' . $value;
				}
			}

			echo '
				<div id="comment-' . esc_attr( $args->comment_ID ) . '" class="' . esc_attr( $classes ) . '">
					<article id="article-comment-' . esc_attr( $args->comment_ID ) . '" class="comment-body">
						<footer class="row comment-meta">
							<div class="comment-author vcard col s1">
								' . get_avatar( $args->comment_author_email , '40' ) . '
							</div><!-- .comment-author -->
							<div class="comment-metadata col s11">
								<div class="fn">
									<a href="' . esc_url( $args->comment_author_url ) . '" rel="external nofollow" class="url">
										' . esc_attr( $args->comment_author ) . '
									</a>
									<span class="says">' . esc_html_e( 'says', 'hayya' ) . ':</span>
								</div>
								<div>
									<a href="' . esc_url( $comment_link ) . '">
										<time datetime="' . get_comment_date() . ' ' . get_comment_time() . '">
											' . get_comment_date() . ' ' . esc_html_e( 'at',  'hayya' ) . ' ' . get_comment_time() . '
										</time>
									</a>
									' . wp_kses_post($edit_comment) . '
								</div>
							</div><!-- .comment-metadata -->
						</footer><!-- .comment-meta -->
						<div class="comment-content">
							' . wp_kses_post( $comment_approved ) . '
							<p>
								' . wp_kses_post( $args->comment_content ) . '
								' . wp_kses_post(
										get_comment_reply_link( array(
										'depth'	 => $depth,
										'max_depth' => 4,
									) ) ) . '
							</p>
						</div><!-- .comment-content -->
					</article><!-- .comment-body -->
				</div><!-- #comment-## -->';
		}
	} // End comments().
}
