<?php
/**
 * @since	  1.0.0
 * @package	hayya
 * @subpackage hayya/includes
 * @author	 zintaThemes <>
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

class HayyaTheme
{

	/**
	 * Hayya Options.
	 * @var 	object
	 * @access  private
	 * @since 	1.0.0
	 */
	public static $options = false;

	/**
	 * Define the core functionality of the plugin.
	 *
	 * Set the plugin name and the plugin version that can be used throughout the plugin.
	 * Load the dependencies, define the locale, and set the hooks for the admin area and
	 * the public-facing side of the site.
	 *
	 * @access		public
	 * @since		1.0.0
	 * @var			unown
	 */
	public function __construct() {
		hayya_register_classe( 'Loader', true );
	} // End __construct()

	/**
	 * @access		public
	 * @since		1.0.0
	 * @var			unown
	 */
	public static function options( $value1 = null, $value2 = null, $value3 = null ) {
		if ( ! self::$options ) {
			global $hayya;
			self::$options = $hayya;
		}
		return self::$options;
	}

	/**
	 * @access		public
	 * @since		1.0.0
	 * @var			unown
	 */
	public static function hayya_options( $v1 = null, $v2 = null ) {
		if ( null === $v1 &&  null === $v2 ) return get_theme_mods();
		$default = self::defaults( $v1 );
		$hayya_mods = get_option('theme_mods_hayya' );
		// var_dump( $hayya_mods );
		if ( isset( $hayya_mods['hayya-mods'] ) && is_array( $hayya_mods['hayya-mods'] ) && ! empty( $hayya_mods['hayya-mods'] ) ) {
			if ( isset( $hayya_mods['hayya-mods'][$v1] ) ) {
				if ( ! is_array( $hayya_mods['hayya-mods'][$v1] ) ) return $hayya_mods['hayya-mods'][$v1];
				else if ( isset( $hayya_mods['hayya-mods'][$v1][$v2] ) ) {
					 return $hayya_mods['hayya-mods'][$v1][$v2];
				}
			}
		} else {
			if ( isset( $hayya_mods[$v1] ) && $vlaue = $hayya_mods[$v1] ) return $vlaue;
		}
		return $default;
	}

	/**
	 * this function will store default values of the theme in array to use it
	 * in customizer or when cannot get values from database
	 *
	 * @access 		public
	 * @author 		ZintaThemes
	 * @return 		Array
	 * @since 		1.0.0
	 * @version 	1.0.0
	 *
	 */
	public static function defaults( $value = null ) {
		$defaults = array(
				'layout-mode' => 'layout-wide',
				'layout-width'   => '90%',
				'container-width'   => '85%',
				'layout-background-color' => '#8bbfd2',
				'layout-background-image' => get_template_directory_uri().'/assets/images/pattern.png',
				'body-font' => 'Abel',
				'body-size' => '1.1',
				'h1-font' => 'Abel',
				'h1-size' => '2',
				'h2-font' => 'Abel',
				'h2-size' => '1.8',
				'h3-font' => 'Abel',
				'h3-size' => '1.6',
				'h4-font' => 'Abel',
				'h4-size' => '1.4',
				'h5-font' => 'Abel',
				'h5-size' => '1.2',
				'h6-font' => 'Abel',
				'h6-size' => '1',
				'first-color' => '#0c1a15',
				'second-color' => '#ffa300',
				'third-color' => '#ffc37f',
				'fourth-color' => '#46B39D',
				'fifth-color' => '#247065',
				'header-height' => '100vh',
				'hayyabuild-header' => false,
				'top-menu' 			=> false,
				'header-logo' => '', // get_template_directory_uri().'/assets/images/hayya-logo.png',
				'header-backgound' => '',
				'header-text' => get_bloginfo( 'description' ), // 'Hayya Theme - WordPress responsive theme based on Materialize CSS Framework',
				'hayyabuild-footer' => false,
				'footer-backgound' => '',
				'show-footer-widgets' => true,
				'footer-text' => get_bloginfo( 'description' ),// 'Hayya Theme - WordPress responsive theme based on Materialize CSS Framework',
				'show-copyright' => true,
				'footer-copyright-text' => 'Theme: hayya by ZintaThemes',
				'copyright-alignment' => 'center',

				'shop-show-header-cart' => true,
				'shop-products-per-page' => 10,
				'shop-gallery-thumnbail-columns' => '6',
				'shop-number-of-columns' => 3,
				'shop-number-of-related' => 4,
				'shop-related-columns' => 4,

				'image-zoom-effect' => true,
				'show-single-sidebar' => true,
				'show-related-and-author' => true,
				'show-author-card' => true,
				'default-posts-image' => get_template_directory_uri().'/assets/images/no-image.png',
				'default-slider-image' => get_template_directory_uri().'/assets/images/no-image-150x150.png'
			);
		if ( null === $value ) return $defaults;
		else if ( ! empty( $defaults[ $value ] ) ) return $defaults[ $value ];
		return false;
	}

} // End Hayya {} class
