<?php
/**
 *
 *
 * @package	 Hayya
 * @author	  Hassan Matooq
 * @version	 1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit();
};

// Don't duplicate me!
if( ! class_exists( 'HayyaTheme_color_schemes' ) ) {

	/**
	 * Main Hayya_color_schemes_import class
	 *
	 * @since	   1.0.0
	 */
	class HayyaTheme_color_schemes {


		/**
		 * Field Constructor.
		 *
		 * Required - must call the parent constructor, then assign field and value to vars, and obviously call the render field function
		 *
		 * @since	   1.0.0
		 * @access	  public
		 * @return	  void
		 */
		function __construct() {}


		public static function process( $s = null, $color = null ) {
			if ( null === $s || null === $color ) return;
			else if ( 'first' === $s ) $code = self::first_color($color);
			else if ( 'second' === $s ) $code = self::second_color($color);
			else if ( 'third' === $s ) $code = self::third_color($color);
			else if ( 'fourth' === $s ) $code = self::fourth_color($color);
			else if ( 'fifth' === $s ) $code = self::fifth_color($color);
			if ( true === WP_DEBUG ) return $code;
			return str_replace('; ',';',str_replace(' }','}',str_replace('{ ','{',str_replace(array("\r\n","\r","\n","\t",'  ','	','	'),"",preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!','',$code)))));
		}

		/**
		 *
		 *
		 * @param unknown $color
		 * @return string
		 */
		private static function first_color( $color = null ) {
			if ( ! empty($color) && is_array($color) ):
				return <<< EOF
.first-color,
.tabs .indicator {
	background-color: {$color['color']};
	color: {$color['color1']};
}

a,
.first-color-text,
.first-color-text a,
.entry-content,
ul.tabs li.tab a:not(.active) {
	color: {$color['color']};
}

.first-color-text a:hover { color: {$color['color2']}; }

a:hover, .first-color-text:hover {color: {$color['color3']};}

.first-color-light {background-color: {$color['light']}; color :{$color['dark']};}
.first-color-text-light {color: {$color['light']};}

.first-color-dark {
	background-color: {$color['dark']};
	color: {$color['light']};
}
.first-color-text-dark {color: {$color['dark']};}

.first-color1 {background-color: {$color['color1']};}
.first-color2 {background-color: {$color['color2']};}
.first-color3 {background-color: {$color['color3']};}
.first-color4 {background-color: {$color['color4']};}

#main-navigation .site-header-cart:hover .cart-contents {color: {$color['dark']};}

ul.tabs {
	border-bottom: 2px solid {$color['color']};
}

ul.tabs.bottom-tabs  {
	border-top: 2px solid {$color['color']};
}
.vertical-tabs { border-left: 2px solid {$color['color']}; }
.vertical-tabs ul.tabs li a.active { background: {$color['color']}; }

rtl .vertical-tabs {
	border: 0;
	border-right: 2px solid {$color['color']};
}

.page-title-header *.page-title,
.title-header *.heading-title,
#right-content .widget-title,
.related.products > h2,
.up-sells.upsells.products > h2 {
	background-color: {$color['color']};
}

#right-sidebar .widget-title-container,
#header-sidebar .widget-title-container, {
	border-bottom:2px solid {$color['color']} !important;
}

.related.products > ul,
.up-sells.upsells.products > ul {
	border-top-color: {$color['color']} !important;
}

.entry-footer .entry-tags a {
	background-color: {$color['color']};
}

#cancel-comment-reply-link,
.page-links a, .edit-link a {
	background-color: {$color['color']};
}

.post_thumbnail .post_no_thumbnail {
	background: {$color['color']};
	background: -webkit-radial-gradient({$color['light']}, {$color['color']});
	background: -o-radial-gradient({$color['light']}, {$color['color']});
	background: -moz-radial-gradient({$color['light']}, {$color['color']});
	background: radial-gradient({$color['light']}, {$color['color']});;
}

#site-footer .widget.widget_calendar th,
.widget.widget_calendar td a {
	color: {$color['color']} !important;
}

[class^='imghvr-'] figcaption,
[class*=' imghvr-'] figcaption {
	background-color: {$color['color']};
}

[class^='imghvr-reveal-']:before,
[class*=' imghvr-reveal-']:before {
	background-color: {$color['dark']};
}

EOF;
			endif;
		}

		/**
		 *
		 *
		 * @param unknown $color
		 * @return string
		 */
		private static function second_color( $color = null ) {
			if ( ! empty($color) && is_array($color) ):
			return <<< EOF
.second-color,
.pricing-table .plan h3,
.hayya-slider .indicators .indicator-item.active,
.owl-carousel .owl-dots .owl-dot.active span,
.owl-carousel .owl-dots .owl-dot:hover span {
	background-color:{$color['color']};
	color: {$color['color1']};
}

blockquote,
.pricing-table.clean-style .plan.most-popular {
	border-color: {$color['color']};
}
.pricing-table.clean-style .plan.most-popular .plan-ribbon span {
	background-color:{$color['color']};
}

.pricing-table.clean-style.dark-plans .plan h3 span {
	color: {$color['color']};
}

.second-color a,
.pricing-table .plan h3 span {
	color: {$color['color3']};
}

.second-color a:hover {
	color: {$color['color4']};
}

hr:not(.browser-default),
.second-color-text,
.second-color-text a ,
.material-icons {
	color: {$color['color']};
}

.second-color-text a:hover,
.material-icons.prefix.active { color: {$color['color2']}; }

.second-color-light {
	background-color: {$color['light']};
	color: {$color['dark']};
}

.second-color-text-light {
	color: {$color['light']};
}

.second-color-dark {
	background-color: {$color['dark']};
	color: {$color['light']};
}

.second-color-text-dark {
	color: {$color['dark']};
}

.second-color1 {
	background-color: {$color['color1']};
}

.second-color2 {
	background-color: {$color['color2']};
}

.second-color3 {
	background-color: {$color['color3']};
}

.second-color4 {
	background-color: {$color['color4']};
}

.hb_menu > .hb_menuul > li > a,
.hb_menu-toggle,
#main-navigation .cart-contents {
	color: {$color['color']};
}

#page.layout-boxed {
	border-top: 4px solid {$color['color']};
	border-bottom: 4px solid {$color['color']};
}

.carousel.related_post img {
	border: 2px solid {$color['color']};
}

.pagination li a, .pagination li span {
	color: {$color['color']};
}

.pagination li .current {
	background-color: {$color['color']};
}

span.new.badge {
	background-color: {$color['color']};
}

hr:not(.browser-default):before {
    background: linear-gradient(to right, transparent, {$color['color']}, transparent);
}

hr.with-text.left-text:not(.browser-default):before {
	background: linear-gradient(to right, {$color['color']}, {$color['color']}, transparent);
}

hr.with-text.right-text:not(.browser-default):before {
	background: linear-gradient(to right, transparent, {$color['color']}, {$color['color']});
}

hr:not(.browser-default).duble-lines:before,
hr.with-text.duble-lines:not(.browser-default):before {
	background: -webkit-linear-gradient({$color['color']} 1px, transparent 1px, transparent 3px, {$color['color']} 1px);
	background: -o-linear-gradient({$color['color']} 1px, transparent 1px, transparent 3px, {$color['color']} 1px);
	background: linear-gradient({$color['color']} 1px, transparent 1px, transparent 3px, {$color['color']} 1px);
}
hr.dotted:not(.browser-default):before, hr.dashed:not(.browser-default):before { border-bottom-color: {$color['color']}; }

.btn, .button,
.widget.widget_price_filter .price_slider_wrapper .ui-widget-header,
.widget.widget_price_filter .price_slider_wrapper .ui-slider-handle {
	background-color: {$color['color']};
}

.entry-posts .entry-content pre {
	color: {$color['dark']};
}

#post_links div a {
	background-color: {$color['color']};
}

.entry-content *::selection {
	background-color: {$color['color']};
}
.entry-content *::-moz-selection {
	background-color: {$color['color']};
}

.sticky .entry-content:before {
	color: {$color['color']};
}

span.badge.comments {
	background-color: {$color['color']};
}

span.badge.comments:before {
	border-top: 10px solid {$color['color']};
}

.no-comments {
	background-color:{$color['color']} !important;
}

#site-footer,
#site-footer a:not(.btn):not(.button),
#site-footer .footer-copyright {
	color: {$color['color']};
}

#site-footer a:hover {
	color: {$color['color1']};
}

#site-footer .widget.widget_calendar td {
	color: {$color['color']};
}

#site-footer .widget.widget_calendar td a {
	background-color: {$color['color']};
}

#site-footer .widget.widget_calendar td a:hover {
	background-color: {$color['color2']};
}

#site-footer .widget.widget_calendar th,
.widget.widget_calendar td a {
	background-color: {$color['color']};
}

span.onsale,
.woocommerce-product-gallery__trigger {
	background-color: {$color['color']};
	color: {$color['color1']};
}


[class^='imghvr-'],
[class*=' imghvr-'] {
	background-color: {$color['color']};
}

[class^='imghvr-'] figcaption,
[class*=' imghvr-'] figcaption {
	color: {$color['color']};
	border: 1px solid {$color['color']};
}

[class^='imghvr-shutter-']:before,
[class*=' imghvr-shutter-']:before {
	background: {$color['color']};
}
[class^='imghvr-shutter-']:after,
[class*=' imghvr-shutter-']:after {
	background: {$color['color']};
}

EOF;
			endif;
		}

		/**
		 *
		 *
		 * @param unknown $color
		 * @return string
		 */
		private static function third_color( $color = null ) {
			if ( ! empty($color) && is_array($color) ):
			return <<< EOF
.third-color,
.plan-ribbon span {
	background-color: {$color['color']};
	color: {$color['color1']};
}

.third-color-text {
	color: {$color['color']};
}

.third-color-light {
	background-color: {$color['light']};
	color: {$color['dark']};
}

.third-color-text-light {
	color: {$color['light']};
}

.third-color-dark {
	background-color: {$color['light']};
	color: {$color['light']};
}

.third-color-text-dark {
	color: {$color['dark']};
}

.third-color1 {
	background-color: {$color['color1']};
}

.third-color2 {
	background-color: {$color['color2']};
}

.third-color4-text {
	color: {$color['color4']};
}

.wp-caption .wp-caption-text {
	background-color: {$color['color2']};
	color: {$color['color4']};
}

.comment {
	background-color: {$color['color2']};
	color: {$color['color4']};
}

.third-color3 {
	background-color: {$color['color3']};
}

.third-color4 {
	background-color: {$color['color4']};
}

#post_links div a:hover {
	background-color: {$color['color']};
}

.entry-footer .entry-tags a:hover {
	background-color: {$color['color']};
}

#cancel-comment-reply-link:hover,
.page-links a:hover,
.edit-link a:hover {
	background-color: {$color['color']};
}

.comments-area .input-field .active  {
	color: {$color['color']};
}

.btn:hover,
.btn:focus,
.button:hover,
.button:focus {
	background-color: {$color['color']};
}

EOF;
			endif;
		}

		/**
		 *
		 *
		 * @param unknown $color
		 * @return string
		 */
		private static function fourth_color( $color = null ) {
			if ( ! empty($color) && is_array($color) ):
			return <<< EOF
.fourth-color {
	background-color: {$color['color']};
	color: {$color['color1']};
}

.fourth-color-text {
	color: {$color['color']};
}

.fourth-color-light {
	background-color: {$color['light']};
	color: {$color['dark']};
}

.fourth-color-text-light {
	color: {$color['light']};
}

.bypostauthor {
	background-color: {$color['color2']};
	color: {$color['color4']};
}

.fourth-color-dark {
	background-color: {$color['dark']};
	color: {$color['light']};
}

.fourth-color-text-dark {
	color: {$color['dark']};
}

EOF;
			endif;
		}

		/**
		 *
		 *
		 * @param unknown $color
		 * @return string
		 */
		private static function fifth_color( $color = null ) {
			if ( ! empty($color) && is_array($color) ):
			return <<< EOF
.fifth-color {
	background-color: {$color['color']};
	color: {$color['color1']};
}

.fifth-color-text {
	color: {$color['color']};
}

.fifth-color-light {
	background-color: {$color['light']};
	color: {$color['dark']};
}

.fifth-color-text-light {
	color: {$color['light']};
}

.fifth-color-dark {
	background-color: {$color['dark']};
	color: {$color['light']};
}

.fifth-color-text-dark {
	color: {$color['dark']};
}

EOF;
			endif;
		}
	}
}
