<?php
/**
 * Checkout coupon form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-coupon.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! wc_coupons_enabled() ) {
	return;
}

$applied_coupons = WC()->cart->applied_coupons;

if ( empty( $applied_coupons ) ) {
	$info_message = apply_filters( 'woocommerce_checkout_coupon_message', __( 'Have a coupon?', 'hayya' ) . ' <a href="#" class="showcoupon">' . __( 'Click here to enter your code', 'hayya' ) . '</a>' );
	wc_print_notice( $info_message, 'notice' );
}
?>

<form class="checkout_coupon" method="post" style="display:none">

	<div class="row">
		<div class="input-field col l10 m10 s12">
			<i class="material-icons prefix">local_atm</i>
			<input type="text" name="coupon_code" class="input-text" id="coupon_code" value="" />
			<label for="coupon_code"><?php esc_attr_e( 'Coupon code', 'hayya' );?></label>
		</div>
		<div class="input-field col l2 m2 s12">
			<button type="submit" class="button waves-effect waves-light" name="apply_coupon" value="<?php esc_attr_e( 'Apply coupon', 'hayya' ); ?>"><?php esc_html_e( 'Apply coupon', 'hayya' ); ?></button>
		</div>
	</div>

	<div class="clear"></div>
</form>
